% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fmesher_crs.R
\name{fm_has_PROJ6}
\alias{fm_has_PROJ6}
\alias{fm_not_for_PROJ6}
\alias{fm_not_for_PROJ4}
\alias{fm_fallback_PROJ6}
\alias{fm_requires_PROJ6}
\title{PROJ6 detection}
\usage{
fm_has_PROJ6()

fm_not_for_PROJ6(fun = NULL)

fm_not_for_PROJ4(fun = NULL)

fm_fallback_PROJ6(fun = NULL)

fm_requires_PROJ6(fun = NULL)
}
\arguments{
\item{fun}{The name of the function that requires PROJ6. Default: NULL,
which uses the name of the calling function.}
}
\value{
For \code{fm_has_PROJ6}, logical;
\code{TRUE} if PROJ6 is available, \code{FALSE} otherwise
}
\description{
Detect whether PROJ6 is available
}
\details{
\code{fm_not_for_PROJ6} is called to warn about using old PROJ4
features even though PROJ6 is available

\code{fm_not_for_PROJ4} is called to give an error when
calling methods that are only available for PROJ6

\code{fm_fallback_PROJ6} is called to warn about falling back
to using old PROJ4 methods when a PROJ6 method hasn't been implemented

\code{fm_requires_PROJ6} is called to give an error when PROJ6
is required but not available
}
\examples{
fm_has_PROJ6()
}
